prefixes:
  data: "https://raw.githubusercontent.com/eclipse-tractusx/sldt-semantic-models/refs/heads/main/io.catenax.batch/3.0.1/gen/Batch.json/"
  method: "https://raw.githubusercontent.com/eclipse-tractusx/sldt-semantic-models/refs/heads/main/io.catenax.batch/3.0.1/Batch.ttl/"
  samm: "urn:samm:org.eclipse.esmf.samm:meta-model:2.3.0#"
  mmm: "urn:samm:org.eclipse.esmf.samm:meta-meta-model:2.3.0#"
  ext-built: "urn:samm:io.catenax.shared.part_site_information_as_built:2.0.0#"
  ext-classification: "urn:samm:io.catenax.shared.part_classification:1.0.0#"
  ext-build: "urn:bamm:io.catenax.part_site_information_as_planned:1.0.0#"
  cx: "urn:samm:io.catenax.batch:3.0.1#"
  urn-uuid: "urn:uuid:"
base: '#'
sources:
      root: {access: 'https://raw.githubusercontent.com/eclipse-tractusx/sldt-semantic-models/refs/heads/main/io.catenax.batch/3.0.1/gen/Batch.json',
        iterator: '$', referenceFormulation: jsonpath}
      identifiers: {access: 'https://raw.githubusercontent.com/eclipse-tractusx/sldt-semantic-models/refs/heads/main/io.catenax.batch/3.0.1/gen/Batch.json',
        iterator: '$.localIdentifiers[*]', referenceFormulation: jsonpath}
      partClass_items: {access: 'https://raw.githubusercontent.com/eclipse-tractusx/sldt-semantic-models/refs/heads/main/io.catenax.batch/3.0.1/gen/Batch.json',
        iterator: '$.partTypeInformation.partClassification[*]', referenceFormulation: jsonpath}
      sites_items: {access: 'https://raw.githubusercontent.com/eclipse-tractusx/sldt-semantic-models/refs/heads/main/io.catenax.batch/3.0.1/gen/Batch.json',
        iterator: '$.manufacturingInformation.sites[*]', referenceFormulation: jsonpath}
mappings:
  batch:
    source: [root]
    s: urn-uuid:$(catenaXId)
    po:
      - [rdf:type, cx:Batch]
      - [cx:catenaXId, $(catenaXId)]
      - [cx:manufacturingInformation, $(.manufacturingInformation.country)-$(.manufacturingInformation.date)~iri]
      - [cx:partTypeInformation, $(.partTypeInformation.manufacturerPartId)~iri]
      - p: cx:localIdentifiers
        o:
          mapping: identifiers_list
          condition:
            function: equal
            parameters: [[str1, "1"], [str2, "1"]]
  identifiers_list:
    source: [identifiers]
    s: $(key)-$(value)
    po:
      - [rdf:type, cx:KeyValueList]
      - [cx:key, $(key)]
      - [cx:value, $(value)]
  manuinfo:
    source: [root]
    s: $(.manufacturingInformation.country)-$(.manufacturingInformation.date)
    po:
      - [rdf:type, cx:ManufacturingEntity]
      - [cx:date, $(.manufacturingInformation.date)]
      - [cx:country, $(.manufacturingInformation.country)]
      - p: ext-built:sites
        o:
          mapping: sites
          condition:
            function: equal
            parameters: [[str1, "1"], [str2, "1"]]
  parttypeinfo:
    source: [root]
    s: $(.partTypeInformation.manufacturerPartId)
    po:
      - [rdf:type, cx:PartTypeInformationEntity]
      - [cx:manufacturerPartId, $(.partTypeInformation.manufacturerPartId)]
      - [cx:nameAtManufacturer, $(.partTypeInformation.nameAtManufacturer)]
      - p: ext-classification:partClassification
        o:
          mapping: partClassification
          condition:
            function: equal
            parameters: [[str1, "1"], [str2, "1"]]
  sites:
    source: [sites_items]
    s: $(catenaXsiteId)
    po:
      - p: a
        o: ext-built:SitesEntity
      - p: ext-built:catenaXsiteId
        o: $(catenaXsiteId)
      - p: ext-built:function
        o: $(function)
  partClassification:
    source: [partClass_items]
    s: $(classificationID)
    po:
      - p: a
        o: ext-classification:ClassificationEntity
      - p: ext-classification:classificationStandard
        o: $(classificationStandard)
      - p: ext-classification:classificationDescription
        o: $(classificationDescription)
      - p: ext-classification:classificationID
        o: $(classificationID)